sc::LevelShift(3)

NAME
sc::LevelShift -

SYNOPSIS

Inherits sc::BlockedSCElementOp'.

Inherited by sc::ALevelShift, and sc::BLevelShift'.

  Public Member Functions
LevelShift (SCF *)
int has_side_effects ()
By default this returns nonzero'.
void set_shift (double)
void process (SCMatrixBlockIter &)
This is the fallback routine to process blocks and is called by process_spec members that are not overridden'.

  Protected Attributes
SCF * scf_
double shift

Member Function Documentation

  int sc::LevelShift::has_side_effects () [virtual]

By default this returns nonzero'. If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero'.

Reimplemented from sc::SCElementOp'.

  void sc::LevelShift::process (SCMatrixBlockIter &) [virtual]

This is the fallback routine to process blocks and is called by process_spec members that are not overridden'.

Implements sc::SCElementOp'.

Reimplemented in sc::BLevelShift, and sc::ALevelShift'.

Author

Generated automatically by Doxygen for MPQC from the source code'.